<div class="download-button" [attr.data-tooltip]="loading ? abortMessage : downloadMessage">

  <button class="resource-icon-download" (click)="download()" *ngIf="!loading">
    <svg version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
         x="0px" y="0px" viewBox="0 0 44 44" xml:space="preserve" aria-hidden="true">
        <g>
          <path fill="#4668AB"
                d="M32.3,25.5H32c-0.3,0-0.7,0.3-0.7,0.7v4.6H12.7v-4.6c0-0.4-0.3-0.7-0.7-0.7h-0.3c-0.3,0-0.7,0.3-0.7,0.7v5.3
		v0.3c0,0.4,0.3,0.7,0.7,0.7H12h20h0.3c0.3,0,0.7-0.3,0.7-0.7v-0.3v-5.3C33,25.8,32.7,25.5,32.3,25.5z" />
          <path fill="#4668AB"
                d="M21.3,26.9c0.1,0.1,0.3,0.2,0.3,0.2c0.1,0.1,0.3,0.1,0.3,0.1c0.1,0,0.3,0,0.3-0.1c0.2,0,0.3-0.1,0.3-0.2
		l5.9-6.1c0.2-0.3,0.2-0.6,0-0.8l-0.4-0.4c-0.2-0.3-0.6-0.3-0.8,0l-4.6,4.7V12.4c0-0.5-0.3-0.9-0.8-0.9s-0.8,0.3-0.8,0.9v11.9
		l-4.6-4.7c-0.2-0.3-0.5-0.3-0.8,0L15.4,20c-0.2,0.3-0.2,0.6,0,0.8L21.3,26.9z" />
        </g>
      </svg>
    <span class="sr-only">{{ downloadMessage }}</span>
  </button>
  <button class="resource-icon-cancel" *ngIf="loading">

    <svg width="34" height="34" viewBox="0 0 34 34" fill="none" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
      <path fill-rule="evenodd" clip-rule="evenodd"
            d="M17 0C18.1009 0 19.0325 0.929231 19.0325 2.02741C19.0325 3.16783 18.1009 4.05483 17 4.05483C15.8567 4.05483 14.9675 3.16783 14.9675 2.02741C14.9675 0.929231 15.8567 0 17 0ZM6.37132 4.36171C7.47224 4.36171 8.40378 5.29094 8.40378 6.38912C8.40378 7.52954 7.47224 8.41653 6.37132 8.41653C5.22807 8.41653 4.33887 7.52954 4.33887 6.38912C4.33887 5.29094 5.22807 4.36171 6.37132 4.36171ZM4.06492 17.0002C4.06492 15.902 3.13337 14.9728 2.03246 14.9728C0.8892 14.9728 0 15.902 0 17.0002C0 18.1406 0.8892 19.0276 2.03246 19.0276C3.13337 19.0276 4.06492 18.1406 4.06492 17.0002ZM6.37132 25.5838C7.47224 25.5838 8.40378 26.513 8.40378 27.6112C8.40378 28.7516 7.47224 29.6386 6.37132 29.6386C5.22807 29.6386 4.33887 28.7516 4.33887 27.6112C4.33887 26.513 5.22807 25.5838 6.37132 25.5838ZM19.0327 31.9727C19.0327 30.8745 18.1011 29.9453 17.0002 29.9453C15.857 29.9453 14.9678 30.8745 14.9678 31.9727C14.9678 33.1131 15.857 34.0001 17.0002 34.0001C18.1011 34.0001 19.0327 33.1131 19.0327 31.9727ZM27.6301 25.5838C28.731 25.5838 29.6626 26.513 29.6626 27.6112C29.6626 28.7516 28.731 29.6386 27.6301 29.6386C26.4869 29.6386 25.5977 28.7516 25.5977 27.6112C25.5977 26.513 26.4869 25.5838 27.6301 25.5838ZM34.0005 17.0002C34.0005 15.902 33.0689 14.9728 31.968 14.9728C30.8247 14.9728 29.9355 15.902 29.9355 17.0002C29.9355 18.1406 30.8247 19.0276 31.968 19.0276C33.0689 19.0276 34.0005 18.1406 34.0005 17.0002Z"
            fill="#242B3F" />
      <animateTransform attributeName="transform" type="rotate" from="0 0 0" to="360 0 0" dur="1.2s"
                        repeatCount="indefinite" />
    </svg>

    <img src="./assets/img/close.svg" [alt]="abortMessage" (click)=abortDownload()>
  </button>
</div>
